%global commit 5d1062a4b599e213489ee0c76f1c6753d51ae76b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-modello
Version:        0.16.0
Release:        0.10.git%{shortcommit}%{?dist}
Summary:        M2E Modello connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-modello/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-modello/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(slf4j.api)

Enhances:       eclipse-m2e-core

%description
This package provides Modello connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-modello-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.modello.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.modello.feature/license.html

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-0.10.git5d1062a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-0.9.git5d1062a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-0.8.git5d1062a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.7.git5d1062a
- Add Enhances: eclipse-m2e-core

* Thu Oct 15 2015 Mat Booth <mat.booth@redhat.com> - 0.16.0-0.6.git5d1062a
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.16.0-0.5.git338f33f
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.4.git338f33f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.3.git338f33f
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git338f33f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.1.git338f33f
- Initial commit
